DZN(PARSE)

NAME
dzn parse - manual page for dzn parse 2.20.0

SYNOPSIS
dzn parse [OPTION]... [FILE]...

DESCRIPTION
Parse a Dezyne file and produce an AST

-D, --no-directives
    do not include file-directives in content stream

-f, --fall-back
    use fall-back parser

-E, --preprocess
    resolve imports and produce content stream

-h, --help
    display this help and exit

-I, --import=DIR+
    add DIR to import path

-l, --list-models
    print the name of each model in FILE

-L, --locations
    show locations in output AST

-m, --model=MODEL
    generate ast for MODEL

-t, --parse-tree
    write PEG parse tree

-o, --output=FILE
    write AST to FILE ("-" for standard output)

SEE ALSO
The full documentation for dzn parse is maintained as a Texinfo manual. If the info and dzn parse programs are properly installed at your site, the command

    info dzn parse

should give you access to the complete manual.